Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.gvt
Class JGVTComponentAdapter

    java.lang.Object
      org.apache.batik.swing.gvt.JGVTComponentAdapter

All Implemented Interfaces:
  JGVTComponentListener

public class JGVTComponentAdapter
extends java.lang.Object
implements JGVTComponentListener

Field Summary

Fields inherited from interface org.apache.batik.swing.gvt.JGVTComponentListener
`COMPONENT_TRANSFORM_CHANGED`

Constructor Summary
`JGVTComponentAdapter()`

Method Summary
`void` | `componentTransformChanged(java.awt.event.ComponentEvent event)` Called when the rendering transform changes on the JGVTComponentListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGVTComponentAdapter

    public JGVTComponentAdapter()

Method Detail

### componentTransformChanged

    public void componentTransformChanged(java.awt.event.ComponentEvent event)

  Called when the rendering transform changes on the JGVTComponentListener

  Specified by:
    `componentTransformChanged` in interface `JGVTComponentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.